Ansible Rookeries
=================

An Ansible role that acts as a companion to the Rookeries project.  The goal of this role is to make deployment of 
Rookeries simple.  Ideally Rookeries even as a Python WSGI app with this role, should be easier to setup than Wordpress.

Requirements
------------

- aptitude or python-apt (required by apt tasks)
- python > 2.5 (required by ini_file tasks)
- Ansible >= 1.8.0

This role is designed to work against a modern Ubuntu system.  (Tested on Ubuntu 13.10 and 14.04)  It should 
theoretically work on older versions of Ubuntu or Debian based systems.

Example Playbook (WIP)
----------------------

Including an example of how to use your role (for instance, with variables passed in as parameters) is always nice for users too:

    - hosts: servers
      roles:
         - { role: username.rolename, x: 42 }

Role Variables (WIP)
--------------------

A description of the settable variables for this role should go here, including any variables that are in defaults/main.yml, vars/main.yml, and any variables that can/should be set via parameters to the role. Any variables that are read from other roles and/or the global scope (ie. hostvars, group vars, etc.) should be mentioned here as well.

This role depends on the nginx_uwsgi_supervisor role, and hence reuses the variables provided by that role.  See the 
[Ansible Galaxy role page] (https://galaxy.ansible.com/list#/roles/2637) for details.

Dependencies
------------

- nginx_uwsgi_supervisor
    - Setup common NGINX, UWSGI and Supervisor infrastructure.
    - Repository: https://bitbucket.org/dorianpula/ansible-nginx-uwsgi-supervisor
    - Ansible Galaxy: https://galaxy.ansible.com/list#/roles/2637

License
-------

AGPL v3

Author Information
------------------

Dorian Pula

- twitter: @dorianpula
- email: dorian.pula at amber-penguin.software.ca
- www: http://amber-penguin-software.ca

This role is a spin-off of the technology developed for the [Rookeries project] (http://rookeries.org/)


Repositories
------------

- Main: https://bitbucket.org/dorianpula/ansible-rookeries
